LIBKECCAK_HMAC_WIPE(3)

NAME
libkeccak_hmac_wipe - Securely erase sensitive data from a HMAC-hashing state

SYNOPSIS
#include <libkeccak.h>
int libkeccak_hmac_wipe(struct libkeccak_hmac_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_wipe() function securely erases data that may be sensitive: the buffer and the state of the underlaying hash-algorithm.

RETURN VALUES
The libkeccak_hmac_wipe() function does not return any value.

ERRORS
The libkeccak_hmac_wipe() function cannot fail.

SEE ALSO
libkeccak_hmac_fast_free(3), libkeccak_hmac_free(3), libkeccak_hmac_fast_destroy(3), libkeccak_hmac_destroy(3)